Subject: Re: Topology for non existing terminations

From: Chanchal Hassija <[email-masked]>
Date: Tue, 29 Aug 2000 13:02:05 +0530

Hello All....

As mentioned in the protocol document...... "If a required descriptor other than
the audit descriptor is unspecified (i.e. entirely absent) from a command, the
previous values set in that descriptor for that termination are retained." So
this implies that if you subtract Termination A from a context and then add it
back without respecifying the topology descriptor, then you should retain the
old topology descriptor.

But then we should look at the following points before we accept the above
statement as the ultimate truth..

a) Topology Descriptor is maintained at context level(unlike other descriptors)
because it applies to a context rather than to terminations. So if I take a
termination A out of a context, the topology descriptor is no more associated
with the termination....

b) All events that took place in the interval between -- when the termination A
was taken out of the context and when it was brought back might have made the
existing Topology Descriptor entirely invalid. For eg... (assuming B is the
other termination in the context)

     b1) The termination B with whom the association for A was defined, got
subtracted out of the context in the interval.
     b2) The topology descriptor for association of B with A was changed in the
interval. So A can't assume that it shall still have the same topology
descriptor     as it had earlier.

IMHO : If a termination is subtracted from a context, the topology descriptor
should be updated to remove this termination altogether. Else, all the mess
(because of terminations which got subtracted and never returned) that shall get
inserted in the descriptor shall stay there throughout the life of the context.
And if the termination is added back later, respecify the topology descriptor.

But this approach might have the overhead of too much processing w.r.t topology
descriptor....

What do others feel about it ? Your Comments are Welcome...

Enjoy
Chanchal...

Shalini Philip <[email-masked]> on 08/29/2000 11:08:36 AM

Please respond to Shalini Philip <[email-masked]>

To:   [email-masked]
cc:    (bcc: Chanchal Hassija/HSS)

Subject:  Re: Topology for non existing terminations

Hello Christian and all,
     I differ with your statement that if you add the termination back you will
need to respecify the topology. IMO, whenever terminations are added to a
context, the last specified value of the topology descriptor is used, unless a
new one is specified by MGC in the same action. So, the MGC need not always
respecify the topology whenever terminations are added to a context. If the
topology descriptor does not have any information regarding the termination to
be added, the default topology of bothway would be applied.

Any comments?

 Thanks & Regards,
  Shalini Philip.

Christian Groves wrote:

> G'Day Xiaotao,
>
> I belive topology is only valid for the action after it, thus if you
> subtract a termination A you also lose the topology associated with it.
> Therefore if you add it back you will need to respecify the topology.
>
> Cheers, Christian
>
> Xiaotao Wu wrote:
> >
> > Is it valid to specify Topology for the terminations not in the context?
> >
> > For Add termination command, we in fact do this if we specify the topology
> > for the terminations we want to add in. We deal with topology first before
> > we add the terminations in.
> >
> > If we can do this, when the wildcard is used to specify the topology,
> > whether this topology will also be applied to the future terminations?
> > e.g., we do (*, *, ISOLATE), later on, we add a termination A, A should be
> > ISOLATE with others, or A is connected to the others by default BOTHWAY?
> >
> > Can we keep the topology if the terminations are not in the
> > context? E.g., we have (A, B, ONEWAY), then we do Subtract B, and B is
> > removed from the context. If later on, we add B back, what will be the
> > topology between A and B? Still be ONEWAY or just the default BOTHWAY?
> >
> > Thanks!
> >
> > -Xiaotao
> >
> > ====================================================
> > Name : Xiaotao Wu  (Always available by email!)
> > Email: [email-masked], [email-masked]
> > URL  : http://www.cs.columbia.edu/~xiaotaow
> > Work Phone: (212)939-7087, Home Phone: (212)795-1963
> > Office: Room 623, Schapiro (CEPSR), West 120th
> > ====================================================

--
Regards,

Shalini Philip
Globespan Inc.
E-Mail : mailto:[email-masked]
Web    : http://www.globespan.net

---

From: Sumit Garg <[email-masked]>
Date: Tue, 29 Aug 2000 14:29:14 +0530

Hi all,
I agree that the topology descriptor is maintained at the context level.
As all will recall the format of the topology descriptor itself is a
sequence of the form,
(T1,T2, association); I believe it is implicit that T1 and T2 are terminations
pertaining to the context under consideration.

When T1 gets subtracted form the context all the associated topology
descriptor triplets
should be discarded as they no longer pertain to terminations belonging to
the context.

Also, implementation of this descriptor is optional and the default
behavior (Bothway for all) will occur when T1 is added to the Context again
where it is not implemented.

Therefore, when T1 is added to the Context again it should be treated like
a new termination.

This way the behavior of both the cases where it has/has not been
implemented will be similar.

Regards,
Sumit Garg

At 01:02 PM 8/29/00, you wrote:
Hello All....

As mentioned in the protocol document...... "If a required descriptor other
than

(because of terminations which got subtracted and never returned) that
shall get

Enjoy
Chanchal...

Hello Christian and all,

Any comments?

Thanks & Regards,
Shalini Philip.

--
Regards,

Shalini Philip
Globespan Inc.

Regards,
Sumit Garg
~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Sumit Garg
GlobeSpan India Pvt. Ltd.
E-mail: mailto:[email-masked]
Web: http://www.globespan.net
~~~~~~~~~~~~~~~~~~~~~~~~~~~~